Bug 1200740 - Configurable Workbench: Broken menu item inputs validation
Summary: Configurable Workbench: Broken menu item inputs validation
Keywords:
Status: CLOSED EOL
Alias: None
Product: JBoss BRMS Platform 6
Classification: Retired
Component: Business Central
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: DR1
: 6.2.0
Assignee: manstis
QA Contact: Tomas David
URL:
Whiteboard:
Depends On:
Blocks: 1200721
TreeView+ depends on / blocked
 
Reported: 2015-03-11 10:06 UTC by Tomas David
Modified: 2020-03-27 19:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-27 19:11:33 UTC
Type: Bug


Attachments (Terms of Use)

Description Tomas David 2015-03-11 10:06:43 UTC
Description of problem:
'Activity Id' and 'Menu Label' fields are not checked against invalid inputs.

Version-Release number of selected component (if applicable):
6.1.0.ER6

How reproducible:
-

Steps to Reproduce:
1. Create Dynamic menu. (Extension -> Plugin Management -> New... -> New Dynamic menu)
2. Add menu items with invalid inputs. For example "a//aa**" or "b\$a".

Actual results:
Menu items are added.

Expected results:
Menu items are not added. Errors are displayed.

Additional info:
-

Comment 2 Tomas David 2015-08-10 10:48:16 UTC
Verified on 6.2.0.DR1.


Note You need to log in before you can comment on or make changes to this bug.